#version 130 // GLSL verzia

uniform sampler2D base_tex_unit; // zakladna textura

// prenasane udaje
in vec2 uv;

void main(void)
{
 // zakladna farba
 vec4 color=texture(base_tex_unit,uv);

 // luminance
 float lum=dot(vec4(0.30,0.59,0.11,0.0),color);

 // vyber svetlych casti
 if (lum>=1.0) gl_FragData[0]=color;
 else gl_FragData[0]=vec4(0.0,0.0,0.0,0.0);
}
