#version 130 // GLSL verzia

uniform sampler2D base_tex_unit; // zakladna textura
uniform vec3 scr;                // velkost okna

// prenasane udaje
in vec2 uv;

void main(void)
{
 float dx=1.0/scr.x;
 float dy=1.0/scr.y;

 // 3x3 gaussian filter
 // 1 2 1
 // 2 4 2
 // 1 2 1
 vec4 color=4.0*texture(base_tex_unit,uv);
 color+=2.0*texture(base_tex_unit,uv+vec2(+dx,0.0));
 color+=2.0*texture(base_tex_unit,uv+vec2(-dx,0.0));
 color+=2.0*texture(base_tex_unit,uv+vec2(0.0,+dy));
 color+=2.0*texture(base_tex_unit,uv+vec2(0.0,-dy));
 color+=texture(base_tex_unit,uv+vec2(+dx,+dy));
 color+=texture(base_tex_unit,uv+vec2(-dx,+dy));
 color+=texture(base_tex_unit,uv+vec2(-dx,-dy));
 color+=texture(base_tex_unit,uv+vec2(+dx,-dy));

 gl_FragData[0]=color/16.0;
}
