#version 130 // GLSL verzia

uniform sampler2D base_tex_unit; // zakladna textura
uniform vec3 offsetsh[2];
uniform vec3 weights[2];

// prenasane udaje
in vec2 uv;

//farba
vec3 color;

void main(void)
{
 // farba z textury
 color=vec3(0.0,0.0,0.0);

 // filter pouzitim strednej a 4-tich okolitych hodnot s vahami 1 2 3 2 1
 for (int x=-2;x<=2;x++) {
  color+=texture(base_tex_unit,vec2(x*1/800.0+uv.s,uv.t)).rgb*(3.0-abs(float(x)));
 }

 // vysledna farba
 gl_FragData[0]=vec4(color/9.0,1.0);
}
